Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessTimer.TimerInstance

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer.TimerInstance

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

Enclosing class:
  JBPMMessages.ProcessTimer

    public static final class JBPMMessages.ProcessTimer.TimerInstance

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessTimer.TimerInstance.Builder` Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `ACTIVATED_TIME_FIELD_NUMBER`
`static int` | `DELAY_FIELD_NUMBER`
`static int` | `ID_FIELD_NUMBER`
`static int` | `LAST_TRIGGERED_FIELD_NUMBER`
`static com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance>` | `PARSER`
`static int` | `PERIOD_FIELD_NUMBER`
`static int` | `PROCESS_INSTANCE_ID_FIELD_NUMBER`
`static int` | `SESSIONID_FIELD_NUMBER`
`static int` | `TIMER_ID_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`long` | `getActivatedTime()` `optional int64 activated_time = 6;`
`static JBPMMessages.ProcessTimer.TimerInstance` | `getDefaultInstance()`
`JBPMMessages.ProcessTimer.TimerInstance` | `getDefaultInstanceForType()`
`long` | `getDelay()` `optional int64 delay = 3;`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`long` | `getId()` `optional int64 id = 1;`
`long` | `getLastTriggered()` `optional int64 last_triggered = 7;`
`com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance>` | `getParserForType()`
`long` | `getPeriod()` `optional int64 period = 4;`
`long` | `getProcessInstanceId()` `optional int64 process_instance_id = 5;`
`int` | `getSerializedSize()`
`int` | `getSessionId()` `optional int32 sessionId = 8;`
`long` | `getTimerId()` `optional int64 timer_id = 2;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`boolean` | `hasActivatedTime()` `optional int64 activated_time = 6;`
`boolean` | `hasDelay()` `optional int64 delay = 3;`
`boolean` | `hasId()` `optional int64 id = 1;`
`boolean` | `hasLastTriggered()` `optional int64 last_triggered = 7;`
`boolean` | `hasPeriod()` `optional int64 period = 4;`
`boolean` | `hasProcessInstanceId()` `optional int64 process_instance_id = 5;`
`boolean` | `hasSessionId()` `optional int32 sessionId = 8;`
`boolean` | `hasTimerId()` `optional int64 timer_id = 2;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilder()`
`static JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilder(JBPMMessages.ProcessTimer.TimerInstance prototype)`
`JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessTimer.TimerInstance.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance> PARSER

### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

### TIMER_ID_FIELD_NUMBER

    public static final int TIMER_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### DELAY_FIELD_NUMBER

    public static final int DELAY_FIELD_NUMBER

See Also:
  Constant Field Values

### PERIOD_FIELD_NUMBER

    public static final int PERIOD_FIELD_NUMBER

See Also:
  Constant Field Values

### PROCESS_INSTANCE_ID_FIELD_NUMBER

    public static final int PROCESS_INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### ACTIVATED_TIME_FIELD_NUMBER

    public static final int ACTIVATED_TIME_FIELD_NUMBER

See Also:
  Constant Field Values

### LAST_TRIGGERED_FIELD_NUMBER

    public static final int LAST_TRIGGERED_FIELD_NUMBER

See Also:
  Constant Field Values

### SESSIONID_FIELD_NUMBER

    public static final int SESSIONID_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessTimer.TimerInstance getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessTimer.TimerInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### hasId

    public boolean hasId()

  `optional int64 id = 1;`

  Specified by:
    `hasId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getId

    public long getId()

  `optional int64 id = 1;`

  Specified by:
    `getId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasTimerId

    public boolean hasTimerId()

  `optional int64 timer_id = 2;`

  Specified by:
    `hasTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getTimerId

    public long getTimerId()

  `optional int64 timer_id = 2;`

  Specified by:
    `getTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasDelay

    public boolean hasDelay()

  `optional int64 delay = 3;`

  Specified by:
    `hasDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getDelay

    public long getDelay()

  `optional int64 delay = 3;`

  Specified by:
    `getDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasPeriod

    public boolean hasPeriod()

  `optional int64 period = 4;`

  Specified by:
    `hasPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getPeriod

    public long getPeriod()

  `optional int64 period = 4;`

  Specified by:
    `getPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasProcessInstanceId

    public boolean hasProcessInstanceId()

  `optional int64 process_instance_id = 5;`

  Specified by:
    `hasProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getProcessInstanceId

    public long getProcessInstanceId()

  `optional int64 process_instance_id = 5;`

  Specified by:
    `getProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasActivatedTime

    public boolean hasActivatedTime()

  `optional int64 activated_time = 6;`

  Specified by:
    `hasActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getActivatedTime

    public long getActivatedTime()

  `optional int64 activated_time = 6;`

  Specified by:
    `getActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasLastTriggered

    public boolean hasLastTriggered()

  `optional int64 last_triggered = 7;`

  Specified by:
    `hasLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getLastTriggered

    public long getLastTriggered()

  `optional int64 last_triggered = 7;`

  Specified by:
    `getLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### hasSessionId

    public boolean hasSessionId()

  `optional int32 sessionId = 8;`

  Specified by:
    `hasSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### getSessionId

    public int getSessionId()

  `optional int32 sessionId = 8;`

  Specified by:
    `getSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(com.google.protobuf.ByteString data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(com.google.protobuf.ByteString data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(byte[] data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(byte[] data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(InputStream input)
                                                             throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseDelimitedFrom(InputStream input)
                                                                      throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseDelimitedFrom(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                             throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer.TimerInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilder(JBPMMessages.ProcessTimer.TimerInstance prototype)

### toBuilder

    public JBPMMessages.ProcessTimer.TimerInstance.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.